Git ref advertisement
GET
/v1/disks/{disk}/git/info/refsGET
/v1/disks/{disk}/git/info/refs
const url = 'https://api.wabe.sh/v1/disks/demo/git/info/refs?service=git-upload-pack';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.wabe.sh/v1/disks/demo/git/info/refs?service=git-upload-pack' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Query Parameters
Section titled “Query Parameters”service
required
string
Responses
Section titled “Responses”Git protocol response
Unsupported operation
Missing, invalid or revoked project API key, or an invalid runtime access token.
Media typeapplication/json
object
error
required
string
message
required
string
Actor runtime token does not authorize this disk or instance generation.
Media typeapplication/json
object
error
required
string
message
required
string
Disk not found in this project.
Media typeapplication/json
object
error
required
string
message
required
string
Branch conflict
Disk unavailable.
Media typeapplication/json
object
error
required
string
message
required
string